LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XDataAccessDescriptorFactory Interface Reference

allows creating instances of the DataAccessDescriptor service. More...

`import"XDataAccessDescriptorFactory.idl";`

Inheritance diagram for XDataAccessDescriptorFactory:

## Public Member Functions
::com::sun::star::beans::XPropertySet | createDataAccessDescriptor ()
| creates a DataAccessDescriptor which supports all properties defined for this service, even if they're normally optional only. More...

## Detailed Description

allows creating instances of the DataAccessDescriptor service.

Data access descriptors are finally only bags of properties with a defined semantics. Depending on the context in which you use them, certain of their properties are needed or unneeded.
The descriptor factory allows you to create instances which offer all properties potentially needed at a descriptor.

## Member Function Documentation

## ◆ createDataAccessDescriptor()

::com::sun::star::beans::XPropertySet createDataAccessDescriptor | ( |  | ) |

creates a DataAccessDescriptor which supports all properties defined for this service, even if they're normally optional only.

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XDataAccessDescriptorFactory.idl